package com.lz.modules.flow.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.lz.modules.flow.entity.RecordRoleAuth;

import java.util.List;

/**
* <p>
* 权限角色表 服务类
* </p>
*
* @author quyixiao
* @since 2020-08-18
*/
public interface RecordRoleAuthService extends IService<RecordRoleAuth> {



	RecordRoleAuth selectRecordRoleAuthById(Long id);


	Long insertRecordRoleAuth(RecordRoleAuth recordRoleAuth);


	int updateRecordRoleAuthById(RecordRoleAuth recordRoleAuth);


	int updateCoverRecordRoleAuthById(RecordRoleAuth recordRoleAuth);


	int deleteRecordRoleAuthById(Long id);


    List<Long> queryMenuIdList(Long id);

	List<RecordRoleAuth> selectByRoleId(Long roleId);

	void deleteRecordRoleAuth(Long id);
}